Update a program benefit

patch

/crmRestApi/resources/11.13.18.05/partnerProgramBenefits/{ProgramBenefitId}

Request

Path Parameters
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Benefit List Values
    Title: Benefit List Values
    The benefit list values resource is used to view, create, update, and delete the benefit list values that are required to associate a program benefit with a partner program.
  • Title: Category
    Maximum Length: 30
    The code indicating the category of the benefit. For example, Financial, Sales, or Marketing.
  • Title: Value Type
    Maximum Length: 30
    The value type of the benefit. For example, Percent, Amount, or Text.
  • Title: Description
    Maximum Length: 1000
    The text describing the benefit.
  • Title: Name
    Maximum Length: 155
    The name of the partner program benefit.
  • Smart Actions
    Title: Smart Actions
    This VO stores the endpoint and security details for every user action.
Nested Schema : Benefit List Values
Type: array
Title: Benefit List Values
The benefit list values resource is used to view, create, update, and delete the benefit list values that are required to associate a program benefit with a partner program.
Show Source
Nested Schema : Smart Actions
Type: array
Title: Smart Actions
This VO stores the endpoint and security details for every user action.
Show Source
Nested Schema : partnerProgramBenefits-BenefitListTypeValues-item-patch-request
Type: object
Show Source
Nested Schema : partnerProgramBenefits-smartActions-item-patch-request
Type: object
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
UI navigation metadata striped by app usage.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type: array
Title: Smart Action REST Payload Definitions
If an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
Binding metadata for a variable in the URL.
Show Source
Nested Schema : partnerProgramBenefits-smartActions-UserActionNavigation-item-patch-request
Type: object
Show Source
Nested Schema : partnerProgramBenefits-smartActions-UserActionRequestPayload-item-patch-request
Type: object
Show Source
  • Title: Payload Value Binding Type
    Maximum Length: 64
    Indicates the binding type of the value.
  • Title: Mandatory
    Maximum Length: 1
    Boolean value indicating if the payload is mandatory.
  • Title: Request Payload Attribute Name
    Maximum Length: 256
    The key in the Key Value pair that forms the payload.
  • Title: Smart Suggest Path
    Maximum Length: 2048
    The path used for smart suggest.
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    Boolean value.
  • Title: Request Payload Attribute Value
    Maximum Length: 1000
    The value in the Key Value pair that forms the payload.
  • Title: Payload Value Structure
    Maximum Length: 20
    If the value in the Key Value pair isn't a single value, this would be set.
Nested Schema : partnerProgramBenefits-smartActions-UserActionURLBinding-item-patch-request
Type: object
Show Source
  • Title: URL Binding Type
    Maximum Length: 64
    This is a hint for processing the Url Binding runtime.
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    Boolean indicator.
  • Title: URL Binding Parameter Name
    Maximum Length: 256
    For action REST endpoints that require runtime binding, this is the key in the key value pair.
  • Title: URL Binding Parameter Value
    Maximum Length: 1000
    For action REST endpoints that require runtime binding, this is the value in the key value pair.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : partnerProgramBenefits-item-response
Type: object
Show Source
Nested Schema : Benefit List Values
Type: array
Title: Benefit List Values
The benefit list values resource is used to view, create, update, and delete the benefit list values that are required to associate a program benefit with a partner program.
Show Source
Nested Schema : Smart Actions
Type: array
Title: Smart Actions
This VO stores the endpoint and security details for every user action.
Show Source
Nested Schema : partnerProgramBenefits-BenefitListTypeValues-item-response
Type: object
Show Source
Nested Schema : partnerProgramBenefits-smartActions-item-response
Type: object
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
UI navigation metadata striped by app usage.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type: array
Title: Smart Action REST Payload Definitions
If an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
Binding metadata for a variable in the URL.
Show Source
Nested Schema : partnerProgramBenefits-smartActions-UserActionNavigation-item-response
Type: object
Show Source
Nested Schema : partnerProgramBenefits-smartActions-UserActionRequestPayload-item-response
Type: object
Show Source
Nested Schema : partnerProgramBenefits-smartActions-UserActionURLBinding-item-response
Type: object
Show Source
  • Title: URL Binding Type
    Maximum Length: 64
    This is a hint for processing the Url Binding runtime.
  • Links
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    Boolean indicator.
  • Uniquely identifies the URL Bind for smart actions. For internal use.
  • Title: URL Binding Parameter Name
    Maximum Length: 256
    For action REST endpoints that require runtime binding, this is the key in the key value pair.
  • Title: URL Binding Parameter Value
    Maximum Length: 1000
    For action REST endpoints that require runtime binding, this is the value in the key value pair.
Back to Top

Examples

The following example shows how to update a program benefit by submitting a patch request on the REST resource using cURL.

cURL Command

curl -v -u Username:Password curl -v -u Username:Password -H "content-type:application/vnd.oracle.adf.resourceitem+json" -X PATCH "http://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/partnerPrograms/CDRM_12005/child/ProgramBenefitDetails/300100071293762" -d '{ request_payload}'

Example of Request Body

The following shows an example of the request body in JSON format.

{
  "BenefitValue": "123"
}

Example of Response Body

The following shows an example of the response body in JSON format.

{
  "BenefitValue" : "123",
  "CreatedBy" : "CHANNEL_OPERATIONS_MANAGER",
  "CreationDate" : "2016-02-17T16:53:58-08:00",
  "LastUpdateDate" : "2016-02-17T17:05:35-08:00",
  "LastUpdatedBy" : "CHANNEL_OPERATIONS_MANAGER",
  "PartnerProgramId" : 300100071293754,
  "ProgramBenefitDetailId" : 300100071293762,
  "ProgramBenefitId" : 300100071293761,
....
}

Back to Top